## org.apache.batik.css.engine.value
Class FloatValue

    java.lang.Object
      org.apache.batik.css.engine.value.AbstractValue
          org.apache.batik.css.engine.value.FloatValue

All Implemented Interfaces:
  Value

public class FloatValue
extends AbstractValue

This class represents float values.

Field Summary
`protected float` `floatValue` The float value
`protected static java.lang.String[]` `UNITS` The unit types representations
`protected short` `unitType` The unit type

Constructor Summary
`FloatValue(short unitType, float floatValue)` Creates a new value.

Method Summary
`java.lang.String` `getCssText()` A string representation of the current value.
`static java.lang.String` `getCssText(short unit, float value)` Returns the CSS text associated with the given type/value pair.
`float` `getFloatValue()` Returns the float value.
`short` `getPrimitiveType()` The type of the value.
`java.lang.String` `toString()` Returns a printable representation of this value.

Methods inherited from class org.apache.batik.css.engine.value.AbstractValue
`createDOMException, getBlue, getBottom, getCssValueType, getGreen, getIdentifier, getLeft, getLength, getListStyle, getRed, getRight, getSeparator, getStringValue, getTop, item`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### UNITS

    protected static final java.lang.String[] UNITS

  The unit types representations

### floatValue

    protected float floatValue

  The float value

### unitType

    protected short unitType

  The unit type

Constructor Detail

### FloatValue

    public FloatValue(short unitType,
                      float floatValue)

  Creates a new value.

Method Detail

### getCssText

    public static java.lang.String getCssText(short unit,
                                              float value)

  Returns the CSS text associated with the given type/value pair.

### getPrimitiveType

    public short getPrimitiveType()

  The type of the value.

  Specified by:
    `getPrimitiveType` in interface `Value`
  Overrides:
    `getPrimitiveType` in class `AbstractValue`

### getFloatValue

    public float getFloatValue()

  Returns the float value.

  Specified by:
    `getFloatValue` in interface `Value`
  Overrides:
    `getFloatValue` in class `AbstractValue`

### getCssText

    public java.lang.String getCssText()

  A string representation of the current value.

### toString

    public java.lang.String toString()

  Returns a printable representation of this value.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.